import http from '@/services/http.interceptor.js'

export default async (options = {}) => {
    return await http.request({
        method: options.method || 'GET', // 请求方法必须大写 [GET|POST|PUT|DELETE|CONNECT|HEAD|OPTIONS|TRACE]
        url: options.url,
        data: options.data,
        params: options.params,
        custom: {
            loading: options.loading
        }
    })
}
